package net.burtleburtle.bob.rand;

/**
 * @author Daniel Berlin
 */
public final class ISAACProvider extends java.security.Provider	{
	public static final String NAME    = "ISAACProvider";
	public static final double VERSION = 0.3;
	public static final String INFO    = "Provider for the ISAAC PRNG";
	
	public ISAACProvider () {
		super (NAME, VERSION, INFO);
		
		java.security.AccessController.doPrivileged (
			new java.security.PrivilegedAction () {
				public Object run () {
					put ("SecureRandom.ISAACRandom", "net.burtleburtle.bob.rand.ISAACEngine");
					return (null);
				}
			}
		);
	}
}
